﻿using ClassLibrary1.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.Composition;
using System.ComponentModel.Composition.Hosting;
using System.Linq;
using System.Text;
using System.Threading.Tasks;



namespace ClassLibrary1.ViewModels
{
    [Export]
    [PartCreationPolicy(CreationPolicy.NonShared)]
   public class ReportViewModel
    {
        [Import]
        public ObservableCollection<ReportData> DataCollectionForReport { get; set; }
  
        public ReportViewModel()
        {
            ApplicationCatalog catalog = new ApplicationCatalog();
            CompositionContainer container = new CompositionContainer(catalog);
            CompositionBatch batch = new CompositionBatch();
            batch.AddPart(this);
            container.Compose(batch);
        }
    }


}
